Skip to main content
GET
get wallet by id

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

expand
enum<string>[]
Available options:
currency,
transferSourceWalletId,
transferTargetWalletId

Response

OK

id
integer

Unique wallet id

uuid
string

Unique wallet id

balance
number

Balance of wallet

balanceLock
number

Balance lock of wallet

balanceInProgress
number

Balance in progress of wallet

currencyId
string

Currency 3-char code

Maximum string length: 3
description
string

Some information

Maximum string length: 255
data
object
flags
object
status
enum<string>

Wallet status

Available options:
ACTIVE,
BLOCKED
color
string
Maximum string length: 7
name
string

Wallet name

updatedAt
integer

Updated timestamp in milliseconds

Example:

1666666666999

updatedAtUnix
integer

Updated timestamp in seconds

Example:

1731390994

version
integer
Example:

1

permissions
object
currency
object
transferSourceWalletId
integer[]
read-only

List of wallets that can be used as source wallets (sending money to the current wallet)

transferTargetWalletId
integer[]
read-only

List of wallets that can be used as target wallets (receiving money from the current wallet)